LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XFilePickerControlAccess Interface Referencepublished

Provides access to the controls of a FilePicker. More...

`import"XFilePickerControlAccess.idl";`

Inheritance diagram for XFilePickerControlAccess:

## Public Member Functions
void | setValue ([in] short ControlId, [in] short aControlAction, [in] any aValue)
| Set the value of an additional element within a FilePicker. More...
any | getValue ([in] short aControlId, [in] short aControlAction)
| Get the value of an additional element within a FilePicker. More...
void | setLabel ([in] short aControlId, [in] string aLabel)
| Set the label of the specified element. More...
string | getLabel ([in] short aControlId)
| Returns the label of the specified element. More...
void | enableControl ([in] short ControlId, [in] boolean bEnable)
| Enables or disables a control. More...
Public Member Functions inherited from XFilePicker
void | setMultiSelectionMode ([in] boolean bMode)
| Enable/disable multi-selection mode. More...
void | setDefaultName ([in] string aName)
| Sets the default string that appears in the file name box of a FilePicker. More...
void | setDisplayDirectory ([in] string aDirectory) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets the directory that the file dialog initially displays. More...
string | getDisplayDirectory ()
| Returns the directory that the file dialog is currently showing or was last showing before closing the dialog with Ok. More...
sequence< string > | getFiles ()
| Returns a sequence of the selected files including path information in URL format, conforming to Rfc1738. More...
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog. More...
short | execute ()
| Executes (shows) the dialog. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Provides access to the controls of a FilePicker.

A FilePicker may contain additional elements according to the needs of the different applications. These additional elements can be addressed by this interface.

See also
  com::sun::star::ui::dialogs::FilePicker

## Member Function Documentation

## ◆ enableControl()

void enableControl | ( | [in] short | ControlId,
|  | [in] boolean | bEnable
| ) |  |

Enables or disables a control.

Parameters

  ControlId | Identifies the control.
  bEnable |

If `TRUE` the specified control will be enabled.

If `FALSE` the specified control will be disabled.

See also
  com::sun::star::ui::dialogs::CommonFilePickerElementIds
  com::sun::star::ui::dialogs::ExtendedFilePickerElementIds

## ◆ getLabel()

string getLabel | ( | [in] short | aControlId | ) |

Returns the label of the specified element.

Parameters

  aControlId | Identifies the element for which the label should be returned.

Returns
  The label of the specified element or an empty string if the specified element has no or supports no label or the specified element doesn't exist.

See also
  com::sun::star::ui::dialogs::CommonFilePickerElementIds
  com::sun::star::ui::dialogs::ExtendedFilePickerElementIds

## ◆ getValue()

any getValue | ( | [in] short | aControlId,
|  | [in] short | aControlAction
| ) |  |

Get the value of an additional element within a FilePicker.

Parameters

  aControlId | Identifies the element for which value is requested.
  aControlAction | Specifies which value to retrieve. aControlAction has to be one of the values defined in ControlActions. Not all of the values are valid for all controls.

Returns
  The value of the specified element. If the specified control is a checkbox the returned value is a boolean that is `TRUE` if the checkbox is checked `FALSE` otherwise. If the specified element doesn't exist or the specified element doesn't support the specified control action an empty any will be returned.

See also
  com::sun::star::ui::dialogs::CommonFilePickerElementIds
  com::sun::star::ui::dialogs::ExtendedFilePickerElementIds
  com::sun::star::ui::dialogs::ControlActions

## ◆ setLabel()

void setLabel | ( | [in] short | aControlId,
|  | [in] string | aLabel
| ) |  |

Set the label of the specified element.

If the specified element doesn't support setting a label, this method has no effect.

Parameters

  aControlId | Identifies the element for which the label should be set.
  aLabel | The label to be set.

See also
  com::sun::star::ui::dialogs::CommonFilePickerElementIds
  com::sun::star::ui::dialogs::ExtendedFilePickerElementIds

## ◆ setValue()

void setValue | ( | [in] short | ControlId,
|  | [in] short | aControlAction,
|  | [in] any | aValue
| ) |  |

Set the value of an additional element within a FilePicker.

Parameters

  ControlId | Identifies the element which value is to be set.
  aControlAction | Specifies an action to perform with the given value. aControlAction has to be one of the values defined in ControlActions. Not all of the values are valid for all controls. To add a new filter to the FilePicker use the interface XFilterManager, but optionally an implementation may also support adding new filter using this method.
  aValue | The value to set. For checkboxes aValue should be a boolean value that should be `TRUE` if the checkbox should be checked and `FALSE` otherwise.

See also
  com::sun::star::ui::dialogs::CommonFilePickerElementIds
  com::sun::star::ui::dialogs::ExtendedFilePickerElementIds
  com::sun::star::ui::dialogs::ControlActions

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XFilePickerControlAccess.idl